<?PHP
/**
 * Contains a class for controlling the list of available events.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */

/**
 * Class containing available units for events.
 */
class MDEventsSet extends MDValueSet {

    const EVENT_IDS = [
        '1',  // => Created
        '2',  // => Found
        '3',  // => Published
        '4',  // => Template creation
        '5',  // => Was depicted (Actor)
        '6',  // => Was used
        '7',  // => Written
        '8',  // => Collected
        '9',  // => Painted
        '10', // => Image taken
        '11', // => Received
        '12', // => Printing plate produced
        '13', // => Sent
        '14', // => Issued
        '15', // => Signed
        '16', // => First description
        '19', // => Drawn
        '20', // => Copied (by hand)
        '21', // => Lived
        '22', // => [Relationship to location]
        '23', // => [Relation to person or institution]
        '24', // => [Relation to time]
        '25', // => Commissioned
        '26', // => Printed
        '27', // => Recorded
        '28', // => Sung
        '29', // => Decor designed
        '30', // => Form designed
        '31', // => Modelled
        '32', // => Autographed/Signed
        '33', // => Mentioned
        '34', // => Buried
        '35', // => Intellectual creation
        '36', // => Was depicted
        '37', // => Painted on
        '38', // => Illustrated
    ];

    /**
     * Gets a list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getSortedList($tlLoader, self::EVENT_IDS, "eventtype_name", "eventname");

    }

}
